import {Component, Input}      from '@angular/core';
import {Observable}            from 'rxjs';
import {Title, Meta}           from '@angular/platform-browser';

@Component({
    selector: 'my-claims',
    template: `
    <div id="tm-main" class=" uk-section  uk-margin-small-top tm-middle"   >
      <div uk-grid uk-grid>
       <div class="tm-main uk-width-1-1@s uk-width-1-1@m  uk-width-1-1@l uk-row-first ">

    <div class="uk-container uk-margin-top">
      <div class="uk-article-title custom-article-title">
         My links
      </div>
      <div>
        <!--div class="uk-text-right"><a  routerLink="/participate/claim">Claim more links?</a></div-->
        <displayClaims [enableDelete]=true [myClaims]=true [isAdmin]=false [showUserEmail]=false showLatestClaims=true moreClaimsURL="/participate/claim" [claimsInfoURL]=claimsInfoURL [showLatestClaims]=showLatestClaims></displayClaims>
      </div>
    </div>
    </div>
  </div>
</div>
`

})
 export class MyClaimsComponent {
   @Input() claimsInfoURL:string;
   @Input() showLatestClaims:boolean;

  constructor (private _meta: Meta, private _title: Title) {
    var title = "OpenAIRE | My links";

    this._meta.updateTag({content:title},"property='og:title'");
    this._title.setTitle(title);
   }
   ngOnInit() {

  }

}
