import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchDatasetsComponent} from './advancedSearchDatasets.component';


import {DatasetsServiceModule} from '../../services/datasetsService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DatasetsServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchDatasetsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchDatasetsComponent
     ]
})
export class AdvancedSearchDatasetsModule { }
