import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchPublicationsComponent} from './advancedSearchPublications.component';


import {PublicationsServiceModule} from '../../services/publicationsService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    PublicationsServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchPublicationsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchPublicationsComponent
     ]
})
export class AdvancedSearchPublicationsModule { }
