//Classes used in linking / inlinelinking when selecting an entity
export class ClaimResult{
    public id: string;
    public type: string;
    public source: string;
    public title: string;
    public url: string;
    public result: any;
    public accessRights: string = "OPEN";
    public embargoEndDate: string ="";
    public date: string;
    public authors: string[] =[];
    public publisher: string;
    public description: string;
    public resourceType:string;
    DOI: string;
    editors=[];
    journal: string;

}
export class ClaimProject{
    public funderId: string;
    public funderName: string;
    public projectId: string;
    public projectName: string;
    public projectAcronym: string;
    public startDate: string;
    public endDate: string;
    public code: string;
    public jurisdiction: string;
    public fundingLevel0: string;


}

export class ClaimContext{
    public community: string;
    public category: string;
    public concept:any;

}
