import { NgModule } from '@angular/core';

import { SharedModule } from '../../../shared/shared.module';
import {ClaimSelectedResultsComponent} from './selectedResults.component';
import {AlertModalModule} from '../../../utils/modal/alertModal.module';
import { MyDatePickerModule } from '../../../utils/my-date-picker/my-date-picker.module';
// import {BulkClaimModule} from '../bulkClaim/bulkClaim.module';
// import {ClaimResultSearchFormModule} from '../../claim-utils/claimResultSearchForm.module';

@NgModule({
  imports: [
    SharedModule,
    AlertModalModule,
     MyDatePickerModule,
    // BulkClaimModule, ClaimResultSearchFormModule,
  ],
  declarations: [
    ClaimSelectedResultsComponent
  ], exports:[ClaimSelectedResultsComponent]
})
export class SelectedPublicationsModule { }
