import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchOrpsComponent} from './advancedSearchOrps.component';


import {OrpsServiceModule} from '../../services/orpsService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    OrpsServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchOrpsComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    AdvancedSearchOrpsComponent
     ]
})
export class AdvancedSearchOrpsModule { }
