import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{AdvancedSearchSoftwareComponent} from './advancedSearchSoftware.component';


import {SoftwareServiceModule} from '../../services/softwareService.module';
 import {AdvancedSearchPageModule} from '../searchUtils/advancedSearchPage.module';
 import {FreeGuard} from'../../login/freeGuard.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,
    SoftwareServiceModule,
    AdvancedSearchPageModule

  ],
  declarations: [
    AdvancedSearchSoftwareComponent
   ],
  providers:[FreeGuard
    ],
  exports: [
    AdvancedSearchSoftwareComponent
     ]
})
export class AdvancedSearchSoftwareModule { }
