import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{SearchSoftwareComponent} from './searchSoftware.component';

import {SearchResultsModule } from '../searchUtils/searchResults.module';

import {SoftwareServiceModule} from '../../services/softwareService.module';
import {SearchFormModule} from  '../searchUtils/searchForm.module';
import {SearchPageModule} from '../searchUtils/searchPage.module';
import {FreeGuard} from'../../login/freeGuard.guard';

@NgModule({
  imports: [
    CommonModule, FormsModule,

    SoftwareServiceModule,
     SearchFormModule, SearchResultsModule, SearchPageModule

  ],
  declarations: [
    SearchSoftwareComponent
   ],
  providers:[FreeGuard
    ],
  exports: [
    SearchSoftwareComponent
     ]
})
export class SearchSoftwareModule { }
