import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {  RouterModule } from "@angular/router";

import {NavigationBarComponent} from './navigationBar.component';

import {UserMiniComponent} from '../login/userMini.component';
 import { ConfigurationServiceModule } from '../utils/configuration/configurationService.module';

@NgModule({
  imports: [
    CommonModule, FormsModule,
     RouterModule, ConfigurationServiceModule
  ],
  declarations: [
    NavigationBarComponent, UserMiniComponent
  ],
  providers:[],
  exports: [
    NavigationBarComponent,UserMiniComponent
    ]
})
export class NavigationBarModule{ }
